View Issue Details

IDProjectCategoryView StatusLast Update
0000929SymmetricDSImprovementpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.10 
Target Version3.1.11Fixed in Version3.1.11 
Summary0000929: Add oracle hint to query to select data from sym_data to force it to use the obvious index
Descriptionselect /*+ index(d,SYM_IDX_D_CHANNEL_ID) */ * from sym_data d where channel_id='config' and (
(data_id between 47923311 and 47923318) or
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master b0b07f8e

2012-11-28 16:30:52

chenson

Details Diff
0000929: Add oracle hint to query to select data from sym_data to force it to use the obvious index
0000929
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/ISymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AbstractService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterServiceSqlMap.java Diff File
mod - symmetric-server/src/main/deploy/change-log-3.0.txt Diff File

Issue History

Date Modified Username Field Change
2012-11-28 16:01 chenson New Issue
2012-11-28 16:01 chenson Status new => assigned
2012-11-28 16:01 chenson Assigned To => chenson
2012-11-28 16:31 chenson Status assigned => resolved
2012-11-28 16:31 chenson Fixed in Version => 3.0.11
2012-11-28 16:31 chenson Resolution open => fixed
2012-11-28 16:57 chenson Fixed in Version 3.0.11 => 3.1.11
2012-11-28 16:57 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS 3.1 r6582
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6583
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master b0b07f8e